@echo off

if not "%CUSHION_HOME%" == "" goto okHOME
echo Set CUSHION_HOME variable!
exit

:okHOME

if not "%SOFA_HOME%" == "" goto okSHOME
echo Set SOFA_HOME variable!
exit

:okSHOME

if exist "%CUSHION_HOME%\bin\setenv.bat" call "%CUSHION_HOME%\bin\setenv.bat"

set CUSHIONCLASSPATH="%CUSHION_HOME%\lib\asm-asm-3.2.jar;%CUSHION_HOME%\lib\asm-asm-commons-3.2.jar;%CUSHION_HOME%\lib\asm-asm-util-3.2.jar;%CUSHION_HOME%\lib\com.google.collections-google-collections-1.0.jar;%CUSHION_HOME%\lib\commons-codec-commons-codec-1.4.jar;%CUSHION_HOME%\lib\commons-collections-commons-collections-3.2.1.jar;%CUSHION_HOME%\lib\commons-fileupload-commons-fileupload-1.2.1.jar;%CUSHION_HOME%\lib\commons-httpclient-commons-httpclient-3.1.jar;%CUSHION_HOME%\lib\commons-lang-commons-lang-2.5.jar;%CUSHION_HOME%\lib\commons-logging-commons-logging-1.1.1.jar;%CUSHION_HOME%\lib\junit-junit-4.8.1.jar;%CUSHION_HOME%\lib\log4j-log4j-1.2.16.jar;%CUSHION_HOME%\lib\org.apache.felix-org.apache.felix.main-1.0.0.jar;%CUSHION_HOME%\lib\org.apache.velocity-velocity-1.6.4.jar;%CUSHION_HOME%\lib\org.eclipse.emf-common-2.6.0.v20100614-1136.jar;%CUSHION_HOME%\lib\org.eclipse.emf-ecore-2.6.0.v20100614-1136.jar;%CUSHION_HOME%\lib\org.eclipse.emf.ecore-xmi-2.5.0.v20100521-1846.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-continuation-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-http-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-io-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-security-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-server-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-servlet-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-util-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-webapp-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.eclipse.jetty-jetty-xml-7.1.4.v20100610.jar;%CUSHION_HOME%\lib\org.jdom-jdom-1.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-2p-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-bp2promela-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-bptools-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-congen-0.7.2.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-cushion-0.7.0-local-20101215111538.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-dchecker-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-env_jpf-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-env_jvm-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-envgen-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-jpf-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-orig-bp-0.1.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-commons-0.7.0-local-20101215111506.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-dock-0.7.0-local-20101215111507.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-dockregistry-0.7.0-local-20101215111524.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-fm-commons-0.7.0-local-20101215111526.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-j-component-api-0.7.0-local-20101215111529.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-j-dock-0.7.0-local-20101215111529.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-repository-0.7.0-local-20101215111510.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-repository-server-0.7.0-local-20101215111508.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-repository-server-api-0.7.0-local-20101215111508.jar;%CUSHION_HOME%\lib\org.objectweb.dsrg-sofa-tools-api-0.7.0-local-20101215111527.jar;%CUSHION_HOME%\lib\sun-jaxb-jaxb-impl-2.1.9.jar;%CUSHION_HOME%\lib\sun-jaxb-jaxb-xjc-2.1.9.jar;_env"

REM DEBUG
if "%DEBUG_ENABLED%" == "true" (
  set DEBUG=-Xdebug -Xrunjdwp:transport=dt_socket,address=8457,server=y,suspend=y
) else (
  set DEBUG=
)
REM end of debug

java -cp %CUSHIONCLASSPATH% -Dcushion.logdir=%CUSHIONLOGDIR% -Dlog4j.configuration=file:%CUSHIONLOGCONF% -Dsofa.agent.repository.hostname="%SOFAREPHOST%" -Dsofa.agent.repository.port=%SOFAREPPORT% -Dsofa.agent.repository.context=%SOFAREPCONTEXT% %DEBUG% org.objectweb.dsrg.sofa.cushion.Cushion %1 %2 %3 %4 %5 %6 %7 %8 %9
